Bug 477913 - gnome-power-statistics crashes
gnome-power-statistics crashes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
rawhide
i386 Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-25 05:19 EST by sangu
Modified: 2009-04-24 23:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 23:26:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2008-12-25 05:19:21 EST
Description of problem:
$ gnome-power-statistics -v
TI:19:13:51	TH:0x9fe1cb8	FI:egg-debug.c	FN:egg_debug_init,306
 - Verbose debugging 1 (on console 1)GPM_VERBOSE
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
TI:19:13:52	TH:0x9fe1cb8	FI:gpm-devicekit.c	FN:gpm_device_type_to_localised_text,350
 - enum unrecognised: 8
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".

---------------- gdb backtrace -------------------------------------------
Distribution: Fedora release 10.90 (Rawhide)
Gnome Release: 2.25.3 2008-12-17 (Red Hat, Inc)
BugBuddy Version: 2.25.2

System: Linux 2.6.28-0.140.rc9.git1.fc11.i686 #1 SMP Sat Dec 20 17:11:18 EST 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10503000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Clearlooks
Icon Theme: gnome
GTK+ Modules: canberra-gtk-module, gnomebreakpad

Memory status: size: 41185280 vsize: 41185280 resident: 19746816 share: 10604544 rss: 19746816 rss_rlim: 18446744073709551615
CPU usage: start_time: 1230200031 rtime: 18 utime: 13 stime: 5 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/gnome-power-statistics'

[?1034h[Thread debugging using libthread_db enabled]
0x00130416 in __kernel_vsyscall ()
#0  0x00130416 in __kernel_vsyscall ()
#1  0x00d680b3 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x00ce6fe7 in IA__g_spawn_sync (working_directory=0x0, argv=0xa19f6d0, 
    envp=0x0, flags=<value optimized out>, child_setup=0, user_data=0x0, 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, error=0xbfd44268)
    at gspawn.c:382
#3  0x00ce732c in IA__g_spawn_command_line_sync (
    command_line=0xa1a0a60 "bug-buddy --appname=\"gnome-power-statistics\" --pid=6794", standard_output=0x0, standard_error=0x0, exit_status=0x0, 
    error=0xbfd44268) at gspawn.c:694
#4  0x024615ae in run_bug_buddy (appname=0x9fe8988 "gnome-power-statistics", 
    pid=6794, minidump_path=0x0) at gnome-breakpad.cc:369
#5  0x02461c38 in check_if_gdb () at gnome-breakpad.cc:440
#6  bugbuddy_segv_handle (signum=11) at gnome-breakpad.cc:223
#7  <signal handler called>
#8  0x004fd99b in dbus_connection_unref (connection=0xfffffffc)
    at dbus-connection.c:2658
#9  0x004d8810 in dbus_g_connection_unref (gconnection=0x0) at dbus-glib.c:89
#10 0x080571cb in dkp_device_finalize (object=0xa087ef0) at dkp-device.c:478
#11 0x00c3a501 in IA__g_object_unref (_object=0xa087ef0) at gobject.c:2421
#12 0x0804fb7e in gpm_stats_button_update_ui () at gpm-statistics.c:633
#13 0x080501f4 in gpm_stats_history_type_combo_changed_cb (widget=0xa055458, 
    data=0x0) at gpm-statistics.c:819
#14 0x080513f3 in main (argc=1, argv=0xbfd44af4) at gpm-statistics.c:1209

Thread 1 (Thread 0xb7f18b80 (LWP 6794)):
#0  0x00130416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00d680b3 in __waitpid_nocancel () from /lib/libpthread.so.0
No locals.
#2  0x00ce6fe7 in IA__g_spawn_sync (working_directory=0x0, argv=0xa19f6d0, 
    envp=0x0, flags=<value optimized out>, child_setup=0, user_data=0x0, 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, error=0xbfd44268)
    at gspawn.c:382
	outpipe = -1
	errpipe = -1
	pid = 6797
	fds = {__fds_bits = {13327798, 160, 0, 8, 13997592, 0, 169455056, 
    -1076608648, 13425297, 8, 169455056, 4, 13997592, 0, 169473756, 
    -1076608552, 13411869, 169455056, 13327744, 0, 15613940, 15618368, 
    169467552, 10, -1076608568, -1076608572, 169473744, 3, 0, 1, 874652356, 
    169455056}}
	ret = <value optimized out>
	outstr = (GString *) 0x0
	errstr = (GString *) 0x0
	failed = 0
	status = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__g_spawn_sync"
#3  0x00ce732c in IA__g_spawn_command_line_sync (
    command_line=0xa1a0a60 "bug-buddy --appname=\"gnome-power-statistics\" --pid=6794", standard_output=0x0, standard_error=0x0, exit_status=0x0, 
    error=0xbfd44268) at gspawn.c:694
	retval = 0
	argv = (gchar **) 0xa19f6d0
	__PRETTY_FUNCTION__ = "IA__g_spawn_command_line_sync"
#4  0x024615ae in run_bug_buddy (appname=0x9fe8988 "gnome-power-statistics", 
    pid=6794, minidump_path=0x0) at gnome-breakpad.cc:369
	res = <value optimized out>
	warning_file = 0xa19f778 "pQî"
	exec_str = 0xa1a0a60 "bug-buddy --appname=\"gnome-power-statistics\" --pid=6794"
	args_str = <value optimized out>
	error = (GError *) 0x0
#5  0x02461c38 in check_if_gdb () at gnome-breakpad.cc:440
	mypath = 0xa19f670 "(Ú\031\npname=\"gnome-power-statistics\""
	gdb = (gchar *) 0xa19de78 "/usr/bin/gdb"
	has_debug_symbols = true
	appname = (gchar *) 0x9fe8988 "gnome-power-statistics"
	pid = 6794
#6  bugbuddy_segv_handle (signum=11) at gnome-breakpad.cc:223
	in_segv = 1
#7  <signal handler called>
No symbol table info available.
#8  0x004fd99b in dbus_connection_unref (connection=0xfffffffc)
    at dbus-connection.c:2658
	__FUNCTION__ = "dbus_connection_unref"
#9  0x004d8810 in dbus_g_connection_unref (gconnection=0x0) at dbus-glib.c:89
No locals.
#10 0x080571cb in dkp_device_finalize (object=0xa087ef0) at dkp-device.c:478
	device = (DkpDevice *) 0xa087ef0
	__PRETTY_FUNCTION__ = "dkp_device_finalize"
#11 0x00c3a501 in IA__g_object_unref (_object=0xa087ef0) at gobject.c:2421
	object = (GObject *) 0xa087ef0
	old_ref = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__g_object_unref"
#12 0x0804fb7e in gpm_stats_button_update_ui () at gpm-statistics.c:633
	device = (DkpDevice *) 0xa087ef0
#13 0x080501f4 in gpm_stats_history_type_combo_changed_cb (widget=0xa055458, 
    data=0x0) at gpm-statistics.c:819
	value = (gchar *) 0xa19c338 "Charge"
	axis_x = (const gchar *) 0x805a15a "Time elapsed"
	axis_y = (const gchar *) 0x805a0cd "Cell charge"
	__PRETTY_FUNCTION__ = "gpm_stats_history_type_combo_changed_cb"
#14 0x080513f3 in main (argc=1, argv=0xbfd44af4) at gpm-statistics.c:1209
	verbose = 1
	context = <value optimized out>
	widget = (GtkWidget *) 0x5312ec
	selection = <value optimized out>
	egg_unique = (EggUnique *) 0x9fe2dc0
	ret = <value optimized out>
	client = (DkpClient *) 0xa0daf40
	devices = (GPtrArray *) 0xa19a4b0
	device = (DkpDevice *) 0x0
	i = 168220896
	page = <value optimized out>
	object_path = <value optimized out>
	checked = <value optimized out>
	options = {{long_name = 0x805a1c2 "verbose", short_name = 118 'v', 
    flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfd44a44, 
    description = 0x805a42c "Show extra debugging information", 
    arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\0', flags = 0, 
    arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, 
    arg_description = 0x0}}
	last_device = (gchar *) 0x0
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]


----------- .xsession-errors (166 sec old) ---------------------
An IOException occurred at handle_message ()
Failed to receive messages at scim_bridge_client_read_and_dispatch ()
An IOException occurred at handle_message ()
Failed to receive messages at scim_bridge_client_read_and_dispatch ()
An IOException occurred at handle_message ()
Failed to receive messages at scim_bridge_client_read_and_dispatch ()
An IOException occurred at handle_message ()
Failed to receive messages at scim_bridge_client_read_and_dispatch ()
An IOException occurred at handle_message ()
An IOException occurred at scim_bridge_client_imcontext_set_cursor_location ()
An IOException occurred at scim_bridge_client_imcontext_set_cursor_location ()
Loading socket Config module ...
Creating backend ...
Loading x11 FrontEnd module ...
Failed to load x11 FrontEnd module.
--------------------------------------------------


Version-Release number of selected component (if applicable):
2.25.1-2.fc11.i386

How reproducible:
always

Steps to Reproduce:
1. launch gnome-power-statistics
2.
3.
  
Actual results:


Expected results:


Additional info:
DeviceKit-power-003-1.fc11.i386
DeviceKit-002-5.i386
Comment 1 Richard Hughes 2008-12-26 06:26:29 EST
2008-12-26  Richard Hughes  <richard@hughsie.com>

	* libdevkit-power/dkp-device.c: (dkp_device_finalize):
	Don't do dbus_g_connection_ref on a global connection object.
	Fixes RH#477913
Comment 2 Matthias Clasen 2009-04-24 23:26:42 EDT
Should be closed then, I guess.

Note You need to log in before you can comment on or make changes to this bug.